Catfish

Catfish 1.3.4 Released (New PPA)

With a slew of updates and a new build system, Catfish 1.3.4 is now available! This update fixes a number of bugs, adds initial support for PolicyKit, and introduces a new PPA for Ubuntu users.

What’s New?

New Features

  • Initial PolicyKit integration for requesting administrative rights to update the search database.

Bug Fixes

  • Fixes for passwordless admin (running as root) logic (LP: #1507765)
  • Fixed crash in en_US locale for non-sudoer user (LP: #1501565)
  • Replaced catfish launch script (LP: #1445739)
  • Fixed issues with multiple selected results (LP: #1461072, #1508918)
  • Fixed middle-click activation

Translation Updates

  • Bulgarian, Chinese (Simplified), Chinese (Traditional), Dutch, English (Australia), French, German, Greek, Icelandic, Lithuanian, Serbian, Swedish, and Ukrainian

A New PPA

To make it easier for users to install the latest supported versions, the previous PPAs have been merged into a single Catfish PPA.  This new PPA provides three different installation options.

  • The catfish package is the latest stable release (at this time, 1.2.2).  This package is recommended for users who want a verified functional version of Catfish.
  • The catfish-unstable package provides the latest development release (this one, 1.3.4).  This packages includes some of the latest features, but may also come with bugs.
  • The catfish-daily package delivers the most recent updates as they are committed to the code.  Beware, this package will have the latest fixes as well as the latest bugs, and some days may not even start.

These packages replace one another to easily switch between them.  To install packages from this PPA on your system, you can use the following commands:

sudo add-apt-repository ppa:catfish-search/ppa
sudo apt-get update
sudo apt-get install <catfish|catfish-unstable|catfish-daily>

Downloads

The source packages for Catfish 1.3.4 (and all other releases) can be downloaded from Launchpad.

Leave a Reply